# ColorPalette

## Name

ColorPalette --

## Synopsis

    #define     COLOR_PALETTE_TYPE
    #define     COLOR_PALETTE                   (obj)
    #define     COLOR_PALETTE_CLASS             (k)
    #define     IS_COLOR_PALETTE                (obj)
    GtkType     color_palette_get_type          (void);
    GtkWidget*  color_palette_new               (const char *no_color_label,
                                                 GdkColor *default_color,
                                                 const gchar *group_name);
    GdkColor*   color_palette_get_current_color (ColorPalette *P);
    GtkWidget*  color_palette_get_color_picker  (ColorPalette *P);

## Description

## Details

### COLOR_PALETTE_TYPE

    #define COLOR_PALETTE_TYPE     (color_palette_get_type ())

### COLOR_PALETTE()

    #define COLOR_PALETTE(obj)     (GTK_CHECK_CAST((obj), COLOR_PALETTE_TYPE, ColorPalette))

`obj` : |

### COLOR_PALETTE_CLASS()

    #define COLOR_PALETTE_CLASS(k) (GTK_CHECK_CLASS_CAST(k), COLOR_PALETTE_TYPE)

`k` : |

### IS_COLOR_PALETTE()

    #define IS_COLOR_PALETTE(obj)  (GTK_CHECK_TYPE((obj), COLOR_PALETTE_TYPE))

`obj` : |

### color_palette_get_type ()

    GtkType     color_palette_get_type          (void);

Returns : |

### color_palette_new ()

    GtkWidget*  color_palette_new               (const char *no_color_label,
                                                 GdkColor *default_color,
                                                 const gchar *group_name);

`no_color_label` : |
`default_color` : |
`group_name` : |
Returns : |

### color_palette_get_current_color ()

    GdkColor*   color_palette_get_current_color (ColorPalette *P);

`P` : |
Returns : |

### color_palette_get_color_picker ()

    GtkWidget*  color_palette_get_color_picker  (ColorPalette *P);

`P` : |
Returns : |